#
# spec file for package mesa (Version 5.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake gpp libgpp openmotif openmotif-devel xf86
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils bzip2 cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool openmotif openmotif-devel perl rpm

Name:         mesa
License:      distributable, Other License(s), see package
Group:        System/Libraries
Provides:     Mesa 
Requires:     libgl glu glut
Autoreqprov:  on
Version:      5.0
Release:      93
Source:       MesaLib-%{version}.tar.bz2
Source1:      MesaDemos-%{version}.tar.bz2
Source2:      switch2mesasoft
Source3:      man.tar.bz2
Source4:      glutman.tar.bz2
Patch:        Mesa-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Documentation and two demos for the OpenGL Mesa library

%description
Mesa is a freely available implementation of the OpenGL library. This package
contains only the documentation and the Mesa demos 'gears' and 'glinfo.' The libraries GL/GLU/glut can be found in the packages for

a) GL library

- mesasoft: OpenGL Software Emulation (works on all graphic boards)

- mesa3dfx: Mesa/Glide

- NVIDIA_GLX: XFree86 4.x/NVIDIA_GLX

- XFree86-GLX: XFree86 4.x/DRI

With the tool '3Ddiag' (package 3ddiag) you can verify, which package is required
for your graphic hardware.

b) GLU library:

- mesaglu: Sample implementation of SGI

c) glut library:

- mesaglut: glut Implementation, which is included in Mesa

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%package -n mesasoft
Group:        System/Libraries
Provides:     mesa:%{_libdir}/libMesaGL.so.3 libgl libMesaGL.so.3 glx
Obsoletes:    glx
PreReq:       /bin/cp /bin/ln /bin/ls /bin/mkdir /bin/mv /bin/rm /usr/bin/awk /usr/bin/dirname /usr/bin/grep /usr/bin/sed
Requires:     3ddiag
Autoreqprov:  on
Summary:      Mesa Software driver

%description -n mesasoft
The 'Mesa Software driver' supports all graphic boards, but provides no
3D hardware support.

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%package -n mesaglu
Group:        System/Libraries
Requires:     libgl
Provides:     glu libMesaGLU.so.3 xf86glu
Obsoletes:    xf86glu
Autoreqprov:  on
Summary:      SGI's sample implementation of the GLU library

%description -n mesaglu
This package contains SGI's sample implementation of the GLU library.

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%package -n mesaglut
Group:        System/Libraries
Provides:     mesa:%{_libdir}/libglut.so.3 glut
Autoreqprov:  on
Summary:      The Mesa Glut library

%description -n mesaglut
The Mesa Glut library.

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%package -n mesa-devel
Group:        Development/Libraries/X11
Provides:     mesadev gldev glx-devel
Requires:     mesasoft
Conflicts:    xf86glx-devel
Obsoletes:    mesadev glx-devel
Autoreqprov:  on
Summary:      Development package for mesasoft (GL library)

%description -n mesa-devel
This is the development package for 'mesasoft' (GL library). Recommended
packages for OpenGL development are also the packages 'mesaglu/mesaglu-devel'
(GLU library) and 'mesaglut/mesaglut-devel' (glut library).

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%package -n mesaglu-devel
Group:        Development/Libraries/X11
Requires:     gldev mesaglu = %version
Provides:     gludev xf86glu-devel glx-devel:/usr/include/GL/glu.h
Obsoletes:    xf86glu-devel
Autoreqprov:  on
Summary:      Development package for mesaglu (GLU library)

%description -n mesaglu-devel
Development package for mesaglu (GLU library)

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%package -n mesaglut-devel
Group:        Development/Libraries/X11
Requires:     mesaglut = %version
Provides:     glutdev
Autoreqprov:  on
Summary:      Development package for mesaglut (glut library)

%description -n mesaglut-devel
Development package for mesaglut (glut library)

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%package -n mesademos
Group:        Development/Libraries/X11
Requires:     libgl glu glut
Autoreqprov:  on
Summary:      Mesa Demos

%description -n mesademos
Demos for programming OpenGL.

Authors:
--------
    Brian Paul <brianp@elastic.avid.com>

%prep
%setup -n Mesa-%{version} -b1 -b3 -b4
%{?suse_update_config:%{suse_update_config -l -f . }}
%patch
rm -f acinclude.m4 m4/libtool.m4
libtoolize --force
aclocal -I m4
autoconf
automake
cp configure configure.old
sed -e 's/{HAVE_GGI_FBDEV_TRUE}/{HAVE_GGI_FBDEV_TRUE=}/g' 			\
    -e 's/{HAVE_GGI_FBDEV_FALSE}/{HAVE_GGI_FBDEV_FALSE='#'}/g' 		\
    -e 's/{HAVE_GGI_GENKGI_TRUE}/{HAVE_GGI_GENKGI_TRUE=}/g'			\
    -e 's/{HAVE_GGI_GENKGI_FALSE}/{HAVE_GGI_GENKGI_FALSE='#'}/g'	\
	configure.old > configure
chmod 755 configure

%build
export CFLAGS="$RPM_OPT_FLAGS"
#
# Check for which CPU requirement gcc opimizes the C code:
#
OPT_ARCH=`echo "$CFLAGS"|sed -n 's/.*-march=\([^[:space:]]*\).*/\1/p'`
#
# Set _target_cpu to the CPU requirement or if no CPU requirement
# opimizations, just the architecture:
#
%define _target_cpu `echo ${OPT_ARCH:-%{_arch}}`
./configure	--prefix=/usr			\
		--sysconfdir=/etc		\
		--host=%{_target_platform}	\
		--without-svga			\
%ifarch %{ix86}
		--enable-x86			\
		--enable-3dnow			\
		--enable-mmx			\
		--enable-sse			\
%endif
%ifarch sparc sparc64
	    --disable-sparc			\
%endif
                --enable-static 		\
		--disable-pthread 		\
		--libdir=%{_libdir}
make; make check
(cd widgets-mesa; ./configure --prefix=${RPM_BUILD_ROOT}/usr/X11R6 --with-x --with-motif; make)

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
install -m 755 src/.libs/libGL.so.1.4.500 %{_libdir}/libGL.so
install -m 755 si-glu/.libs/libGLU.so.1.3.500 %{_libdir}/libGLU.so
make install DESTDIR=${RPM_BUILD_ROOT}
( cd ${RPM_BUILD_ROOT}/%{_libdir}
  mkdir GL
  mv libGL.so.1.4.500 GL/libGL.so.1.4.mesasoft
  rm -f libGL.so
  ln -snf libGL.la libMesaGL.la
  ln -snf libGL.so libMesaGL.so
  ln -snf libGL.a libMesaGL.a
)
( cd ${RPM_BUILD_ROOT}/%{_libdir}
  mv libGLU.so.1.3.500 libGLU.so.1.3
  ln -snf libGLU.so.1.3 libGLU.so.1
  ln -snf libGLU.so.1.3 libGLU.so
  ln -snf libGLU.la libMesaGLU.la
  ln -snf libGLU.so libMesaGLU.so
  ln -snf libGLU.so.1 libMesaGLU.so.3
)
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/mesa
install -g root -o root -m 644 docs/* \
  ${RPM_BUILD_ROOT}/usr/share/doc/packages/mesa
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/mesa/bin
for i in book demos images mtdemos samples xdemos; do
  ( cd $i; mv -f .libs/* .; rm -rf Makefile* *.[cho] .deps .libs CVS)
  cp -ar $i  ${RPM_BUILD_ROOT}/usr/lib/mesa/bin
done
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mv ${RPM_BUILD_ROOT}/usr/lib/mesa/bin/demos/{glinfo,gears} \
  ${RPM_BUILD_ROOT}/usr/bin
# Mesa Widgets
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/include/GL
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/%{_lib}
test %{_lib} != lib && ln -snf %{_lib} ${RPM_BUILD_ROOT}/usr/X11R6/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man3
(cd widgets-mesa; make install)
test -L ${RPM_BUILD_ROOT}/usr/X11R6/lib && rm -f ${RPM_BUILD_ROOT}/usr/X11R6/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/mesa/widgets-mesa
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/mesa/bin/widgets-mesa
( cd widgets-mesa
  rm demos/Makefile* demos/*.[co]
  cp -f ChangeLog INSTALL README TODO \
    ${RPM_BUILD_ROOT}/usr/share/doc/packages/mesa/widgets-mesa
  cp -f demos/.libs/* ${RPM_BUILD_ROOT}/usr/lib/mesa/bin/widgets-mesa
)
( cd ${RPM_BUILD_ROOT}/usr/share/doc/packages/mesa/widgets-mesa
  ln -snf /usr/lib/mesa/bin/widgets-mesa demos
)
(cd ${RPM_BUILD_ROOT}/usr/share/doc/packages/mesa; ln -snf /usr/lib/mesa/bin demos)
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
sed 's:@lib@:%{_lib}:g' ${RPM_SOURCE_DIR}/switch2mesasoft | \
  sed 's/lib lib;/lib;/g' > $RPM_BUILD_ROOT/usr/X11R6/bin/switch2mesasoft
chmod a+x $RPM_BUILD_ROOT/usr/X11R6/bin/switch2mesasoft
# OpenGL Manual Pages
test -d ${RPM_BUILD_ROOT}/%{_mandir}/man3 || \
  mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man3
( cd ../man
  for i in gl glu glx; do
    ( cd $i
      xmkmf
      mv Makefile Makefile.orig
      sed 's/ln -s/mv -f/g' Makefile.orig > Makefile
      make
      install -g root -o root -m 644 *.3gl ${RPM_BUILD_ROOT}/%{_mandir}/man3
    )
  done
)
# glut Manual Pages
( cd ../glut-3.7
  for i in man/glut/glut*; do
    install -g root -o root -m 644 $i ${RPM_BUILD_ROOT}/%{_mandir}/man3/`basename $i man`3
  done
)
# remove Quake documentation for legal reasons
rm -f $RPM_BUILD_ROOT/usr/share/doc/packages/mesa/README.QUAKE
# fix .la files (Bug #18701)
pushd $RPM_BUILD_ROOT/usr/%_lib
  for i in libGL.la libGLU.la libglut.la; do
    sed -e 's/-L[^[:space:]]\+BUILD[^[:space:]]\+//g' \
        -e 's/-lgcc_s//g' \
        -e 's/-lc//g' \
        -e 's+/usr/%_lib/libGL.la+-lGL+g' \
        -e 's/-lsupc++//g' $i > /tmp/$i && \
      mv /tmp/$i $i && chmod 755 $i
  done
popd

%preun -n mesasoft
cp -a usr/X11R6/bin/switch2mesasoft usr/X11R6/bin/switch2mesasoft.tmp
exit 0
 

%postun -n mesasoft
test -f usr/X11R6/bin/switch2mesasoft || \
  usr/X11R6/bin/switch2mesasoft.tmp -removelinks
rm -f usr/X11R6/bin/switch2mesasoft.tmp
exit 0

%files -n mesa
%doc /usr/share/doc/packages/mesa
%dir /usr/lib/mesa
/etc/mesa.conf
/usr/bin/gears
/usr/bin/glinfo
%{_libdir}/libOSMesa.so.4*

%files -n mesasoft 
%{_libdir}/GL/libGL.so.1.4.mesasoft
/usr/X11R6/bin/switch2mesasoft

%files -n mesaglu
%{_libdir}/libGLU.so.1*
%{_libdir}/libMesaGLU.so.3

%files -n mesaglut
%{_libdir}/libglut.so.3*

%files -n mesa-devel
%dir /usr/include/GL
/usr/include/GL/gl.h
/usr/include/GL/gl_mangle.h
/usr/include/GL/glext.h
/usr/include/GL/glx.h
/usr/include/GL/glx_mangle.h
/usr/include/GL/glxext.h
/usr/include/GL/osmesa.h
/usr/include/GL/xmesa.h
/usr/include/GL/xmesa_x.h
/usr/include/GL/xmesa_xf86.h                 
%{_libdir}/libGL.la
%{_libdir}/libMesaGL.la
%{_libdir}/libMesaGL.so
%{_libdir}/libGL.a
%{_libdir}/libMesaGL.a
%{_libdir}/libOSMesa.la
%{_libdir}/libOSMesa.so
%{_libdir}/libOSMesa.a
%{_mandir}/man3/gl[A-Z]*.3gl.gz
# Mesa Widgets
/usr/X11R6/include/GL
/usr/X11R6/%{_lib}/libMesaGLw.a
/usr/X11R6/man/man3/MesaDrawingArea.3x.gz 
/usr/X11R6/man/man3/MesaWorkstation.3x.gz 
/usr/X11R6/man/man3/GLwDrawingArea.3x.gz 
/usr/X11R6/man/man3/GLwCreateMDrawingArea.3x.gz 
/usr/X11R6/man/man3/GLwDrawingAreaSwapBuffers.3x.gz 
/usr/X11R6/man/man3/GLwDrawingAreaMakeCurrent.3x.gz

%files -n mesaglu-devel
%dir /usr/include/GL
/usr/include/GL/glu.h
/usr/include/GL/glu_mangle.h
%{_libdir}/libGLU.a
%{_libdir}/libGLU.la
%{_libdir}/libGLU.so
%{_libdir}/libMesaGLU.la
%{_libdir}/libMesaGLU.so
%{_mandir}/man3/glu*.3gl.gz

%files -n mesaglut-devel
%dir /usr/include/GL
/usr/include/GL/glut.h
%{_libdir}/libglut.a
%{_libdir}/libglut.la
%{_libdir}/libglut.so
%{_mandir}/man3/glut*.3.gz

%files -n mesademos
/usr/lib/mesa/bin/

%changelog -n mesa
* Fri May 02 2003 - sndirsch@suse.de
- replaced "libGL.la" reference with "-lGL" in libGLU.la/libglut.la,
  which makes OpenGL development with GLU/glut with nvidia driver
  possible again (Bug #26639)
* Wed Jan 22 2003 - sndirsch@suse.de
- fixed 'switch2mesasoft'
* Fri Nov 29 2002 - sndirsch@suse.de
- fixed 'switch2mesasoft'
* Wed Nov 27 2002 - sndirsch@suse.de
- fixed 'switch2mesasoft' for ppc; ppc can run 64bit programs in
  a 32bit environment
* Sun Nov 17 2002 - sndirsch@suse.de
- updated to release 5.0
  New:
- OpenGL 1.4 support (glGetString(GL_VERSION) returns "1.4")
- removed some overlooked debugging code
- glxinfo updated to support GLX_ARB_multisample
- GLUT now support GLX_ARB_multisample
- updated DOS driver (Daniel Borca)
  Bug fixes:
- GL_POINT and GL_LINE-mode polygons didn't obey cull state
- fixed potential bug in _mesa_align_malloc/calloc()
- fixed missing triangle bug when running vertex programs
- fixed a few HPUX compilation problems
- FX (Glide) driver didn't compile
- setting GL_TEXTURE_BORDER_COLOR with glTexParameteriv() didn't work
- a few EXT functions, like glGenTexturesEXT, were no-ops
- a few OpenGL 1.4 functions like glFogCoord*, glBlendFuncSeparate,
  glMultiDrawArrays and glMultiDrawElements were missing
- glGet*(GL_ACTIVE_STENCIL_FACE_EXT) was broken
- Pentium 4 Mobile was mistakenly identified as having 3DNow!
- fixed one-bit error in point/line fragment Z calculation
- fixed potential segfault in fakeglx code
- fixed color overflow problem in DOT3 texture env mode
* Sat Nov 09 2002 - sndirsch@suse.de
- corrected Mesa version in mesa.conf
* Tue Nov 05 2002 - ro@suse.de
- add pthread enable/disable to configure and remove pthread
  hacks in specfile
* Tue Oct 29 2002 - sndirsch@suse.de
- enabled Motif support in Mesa widgets (Bug #21242)
* Fri Oct 18 2002 - sndirsch@suse.de
- updated to release 4.0.4
  New:
- GL_NV_texture_rectangle extension
- updated glext.h header (version 17)
- updated DOS driver (Daniel Borca)
- updated BeOS R5 driver (Philippe Houdoin)
- added GL_IBM_texture_mirror_repeat
- glxinfo now takes -l option to print interesting OpenGL limits info
- GL_MESA_ycbcr_texture extension
- GL_APPLE_client_storage extension (for some DRI drivers only)
- GL_MESA_pack_invert extension
  Bug fixes:
- fixed GL_LINEAR fog bug by adding clamping
- fixed FP exceptions found using Alpha CPU
- 3dfx MESA_GLX_FX=window (render to window) didn't work
- fixed memory leak in wglCreateContest (Karl Schultz)
- define GLAPIENTRY and GLAPI if undefined in glu.h
- wglGetProcAddress didn't handle all API functions
- when testing for OpenGL 1.2 vs 1.3, check for GL_ARB_texture_cube_map
- removed GL_MAX_CONVOLUTION_WIDTH/HEIGHT from glGetInteger/Float/etc()
- error checking in compressed tex image functions had some glitches
- fixed AIX compile problem in src/config.c
- glGetTexImage was using pixel unpacking instead of packing params
- auto-mipmap generation for cube maps was incorrect
  Changes:
- max texture units reduced to six to accomodate texture rectangles
- removed unfinished GL_MESA_sprite_point extension code
* Wed Sep 18 2002 - sndirsch@suse.de
- /usr/lib --> /usr/%%_lib (reopend Bug #18701)
* Mon Sep 02 2002 - sndirsch@suse.de
- fixed .la files (Bug #18701)
* Fri Aug 09 2002 - sndirsch@suse.de
- added missing requires for mesaglu-devel/mesaglut-devel (Bug #17543)
* Fri Aug 02 2002 - sndirsch@suse.de
- switch2mesasoft: create also symbolic link 'libGL.so.1' for 32bit
  applications
* Thu Aug 01 2002 - sndirsch@suse.de
- added 'PreReq:' for mesasoft
* Mon Jul 08 2002 - sndirsch@suse.de
- switch2mesasoft: create libGL.so symbolic link, which is no longer
  in the file list of package mesa-devel; too many applications and
  libs use libGL.so instead of libGL.so.1. Therefore it is required
  also for a runtime environment. :-(
* Thu Jun 27 2002 - sndirsch@suse.de
- updated to release 4.0.3:
  New:
- updated GL/glext.h file (version 15)
- corrected MMX blend code (Jose Fonseca)
- support for software-based alpha planes in Windows driver
- updated GGI driver (Filip Spacek)
  Bug fixes:
- glext.h had wrong values for GL_DOT3_RGB[A]_EXT tokens
- OSMesaMakeCurrent() didn't recognize buffer size changes
- assorted conformance fixes for 16-bit/channel rendering
- texcombine alpha subtraction mode was broken
- fixed lighting bug with non-uniform scaling and display lists
- fixed bug when deleting shared display lists
- disabled SPARC cliptest assembly code (Mesa bug 544665)
- fixed a couple Solaris compilation/link problems
- blending clipped glDrawPixels didn't always work
- glGetTexImage() didn't accept packed pixel types
- glPixelMapu[is]v() could explode given too large of pixelmap
- glGetTexParameter[if]v() didn't accept
  GL_TEXTURE_MAX_ANISOTROPY_EXT
- glXCopyContext() could lead to segfaults
- glCullFace(GL_FRONT_AND_BACK) didn't work (bug 572665)
  Changes:
- lots of C++ (g++) code clean-ups
- lots of T&L updates for the Radeon DRI driver
  Known bugs:
- mipmap LOD computation (fixed for Mesa 4.1)
* Thu Jun 13 2002 - sndirsch@suse.de
- switch2mesasoft now also generates symbolic links to glx and
  libGLcore extensions if these exist
* Wed May 15 2002 - sndirsch@suse.de
- updated to release 4.0.2:
  New:
- New DOS (DJGPP) driver written by Daniel Borca
- New driver interface functions for TCL drivers (such as Radeon DRI)
- GL_RENDERER string returns "Mesa Offscreen16" or "Mesa Offscreen32"
  if using deep color channels
- latest GL/glext.h and GL/glxext.h headers from SGI
  Bug fixes:
- GL_BLEND with non-black texture env color wasn't always correct
- GL_REPLACE with GL_RGB texture format wasn't always correct (alpha)
- glTexEnviv( pname != GL_TEXTURE_ENV_COLOR ) was broken
- glReadPixels was sometimes mistakenly clipped by the scissor box
- glDraw/ReadPixels didn't catch all the errors that they should have
- Fixed 24bpp rendering problem in Windows driver (Karl Schultz)
- 16-bit GLchan mode fixes (m_trans_tmp.h, s_triangle.c)
- Fixed 1-bit float->int conversion bug in glDrawPixels(GL_DEPTH_COMP)
- glColorMask as sometimes effecting glXSwapBuffers()
- fixed a potential bug in XMesaGarbageCollect()
- N threads rendering into one window didn't work reliably
- glCopyPixels didn't work for deep color channels
- improved 8 -> 16bit/channel texture image conversion (Gerk Huisma)
- glPopAttrib() didn't correctly restore user clip planes
- user clip planes failed for some perspective projections (Chromium)
* Tue May 14 2002 - schwab@suse.de
- Fix switch2mesasoft for lib64.
* Mon Apr 29 2002 - sndirsch@suse.de
- fixed build on x86-64
* Mon Apr 01 2002 - sndirsch@suse.de
- fixed build for s390x
* Mon Apr 01 2002 - sndirsch@suse.de
- fixed build with new autoconf/automake
* Wed Mar 20 2002 - sndirsch@suse.de
- changes in switch2mesasoft:
  * only create symbolic link /usr/lib/libGL.so.1 if not already there;
  performance boost for ldconfig
- removed Quake documentation (Bug #15262)
* Tue Feb 12 2002 - sndirsch@suse.de
- corrected owner/group of some manual pages
* Mon Jan 21 2002 - schwab@suse.de
- Link libGLU also against libgcc_s.
- Link libGL and libGLU against libm.
* Sat Jan 05 2002 - sndirsch@suse.de
- merged mesa-gcc.diff into Mesa-4.0.1.diff
* Fri Jan 04 2002 - schwab@suse.de
- Link libGLU against libsupc++ if it exists.
- Properly link against uninstalled libtool libraries.
* Wed Jan 02 2002 - sndirsch@suse.de
- fixed build on sparc
* Wed Dec 19 2001 - sndirsch@suse.de
- new Mesa 4.0.1 tarball: last-minute bug fix related to separate
  specular color, which fixes a lighting problem seen in the Chimera
  molecular modeler.
* Tue Dec 18 2001 - sndirsch@suse.de
- updated to bugfix release 4.0.1
  New:
- better sub-pixel sample positions for AA triangles (Ray Tice)
- slightly faster blending for (GL_ZERO, GL_ONE) and (GL_ONE, GL_ZERO)
  Bug fixes:
- added missing break statements in glGet*() for multisample cases
- fixed uninitialized hash table mutex bug (display lists / texobjs)
- fixed bad teximage error check conditional (bug 476846)
- fixed demos readtex.c compilation problem on Windows (Karl Schultz)
- added missing glGet() query for GL_MAX_TEXTURE_LOD_BIAS_EXT
- silence some compiler warnings (gcc 2.96)
- enable the #define GL_VERSION_1_3 in GL/gl.h
- added GL 1.3 and GLX 1.4 entries to gl_mangle.h and glx_mangle.h
- fixed glu.h typedef problem found with MSDev 6.0
- build libGL.so with -Bsymbolic (fixes bug found with Chromium)
- added missing 'const' to glXGetContextIDEXT() in glxext.h
- fixed a few glXGetProcAddress() errors (texture compression, etc)
- fixed start index bug in compiled vertex arrays (Keith)
- fixed compilation problems in src/SPARC/glapi_sparc.S
- fixed triangle strip "parity" bug found in VTK medical1 demo (Keith)
- use glXGetProcAddressARB in GLUT to avoid extension linking problems
- provoking vertex of flat-shaded, color-index triangles was wrong
- fixed a few display list bugs (GLUT walker, molecule, etc) (Keith)
- glTexParameter didn't flush the vertex buffer (Ray Tice)
- feedback attributes for glDraw/CopyPixels and glBitmap were wrong
- fixed bug in normal length caching (ParaView lighting bug)
* Mon Dec 17 2001 - sndirsch@suse.de
- adjusted specfile to use %%{_libdir} and %%{_lib} instead of
  /usr/lib and lib
* Thu Dec 06 2001 - stepan@suse.de
- gcc 3.0.2 fixes
* Mon Nov 26 2001 - sndirsch@suse.de
- removed sourcefile glxext.h (already included since Mesa 4.0)
* Mon Nov 19 2001 - sndirsch@suse.de
- added glut manual pages to mesaglut-devel (removed now in glutdemo)
- moved GLU manual pages from mesa-devel to mesaglu-devel
- removed "Conflicts: glx-devel" for mesaglut-devel as there exists
  no glx-devel any longer; mesa-devel replaces glx-devel and therefore
  provides and obsoletes it; mesaglut-devel must not conflict with
  mesa-devel
- replace demo shell scripts with the demo binaries before installing
  them ("mv -f .libs/* .")
* Thu Nov 15 2001 - sndirsch@suse.de
- added OpenGL (gl/glu/glX) manual pages
* Sun Nov 11 2001 - sndirsch@suse.de
- adjusted Conflicts, Obsoletes, Provides of mesasoft, mesa-devel
  and mesaglu-devel according to this replacement:
  glx --> mesasoft
  glx-devel --> mesa-devel + mesaglu-devel
* Tue Nov 06 2001 - sndirsch@suse.de
- updated to stable release 4.0 (OpenGL 1.3, GLU 1.3, ...)
  * added c++ compiler to neededforbuild for GLU 1.3
  * adjusted %%prep section and Mesa patch to new libtool/automake
  * added libOSMesa library (will be removed for xf86_glx/xf86glx-devel)
  * some other minor changes in specfile
  * adjusted switch2mesasoft to libGL 1.3
* Mon Aug 13 2001 - sndirsch@suse.de
- fixed bug in script 'switch2mesasoft', if directory
  /usr/X11R6/lib/modules/extensions does not exist (important for s390)
* Wed Jul 18 2001 - sndirsch@suse.de
- change in switch2mesasoft: removes now symlinks
  * /usr/X11R6/lib/modules/extensions/{libglx.so,libglx.a}
  * /usr/X11R6/lib/modules/extensions/libGLcore.a
  to be sure no GLX extension is loaded any more during start of
  X Server
* Tue Jun 12 2001 - sndirsch@suse.de
- updated to release 3.4.2
- moved glinfo from package mesademos to package mesa
* Tue Jun 12 2001 - sndirsch@suse.de
- removed pthread support
- removed Requires:3ddiag from package mesa to package mesasoft
* Fri Jun 08 2001 - sndirsch@suse.de
- fixed build (libtool changed)
* Thu May 10 2001 - sndirsch@suse.de
- added Requires: mesasoft to mesa-devel
* Thu May 10 2001 - sndirsch@suse.de
- /usr/lib/libGL.so is now a symbolic link to the correct libGL.so.1
  instead of a binary; resolves ldconfig confusion (Bug #7901)
* Mon Apr 09 2001 - sndirsch@suse.de
- added chrc.config to switch2mesasoft script
* Wed Mar 28 2001 - froh@suse.de
- removed obsolete s390 patch
* Fri Mar 23 2001 - sndirsch@suse.de
- mesasoft provides mesa:/usr/lib/libMesaGL.so.3, so it is installed
  during an update, if the mesa package before still contained this
  library
* Fri Mar 23 2001 - sndirsch@suse.de
- dependancy changes acccording to http://w3.suse.de/~kkaempf/dep/dep.html
* Wed Mar 07 2001 - sndirsch@suse.de
- added subpackages
  * mesaglu
  * mesaglut
  * mesaglu-devel
  * mesaglut-devel
  * renamed mesadev --> mesa-devel
* Tue Mar 06 2001 - bk@suse.de
- enabled 3DNOW, MMX and SSE - tested at runtime by checking CPUID
* Mon Mar 05 2001 - bk@suse.de
- fix inter-library dependencies generation(aclocal.m4 used linux-gnu)
- use RPM_OPT_FLAGS as CFLAGS for compliatiaion(also disables use of -g)
- make _target_platform reflect the actual platform(arch should echo e.g i486)
- autoconf call from inter-library dependencies fix obsoletes a s390 diff
- added Provides of Mesa for more compatibility with other distros
- reformatted configure call to make options more readable
* Wed Feb 28 2001 - sndirsch@suse.de
- update to release 3.4.1
- removed widgets-mesa.dif (not required any more)
* Wed Feb 07 2001 - sndirsch@suse.de
- does not remove links in %%postun of mesasoft during an update any more
* Wed Jan 24 2001 - sndirsch@suse.de
- removed mesasoft conflicts with
  * mlx
  * glxg200
  * glxriva
  * glxrage
  * NVIDIA_GLX
* Thu Jan 18 2001 - sndirsch@suse.de
- libGL.so.1.2.mesasoft is now located in /usr/lib/GL (problems
  with "ldconfig")
* Sat Jan 13 2001 - sndirsch@suse.de
- fixed showstopper in switch2* script (Bug #5316)
* Tue Jan 09 2001 - sndirsch@suse.de
- removed 3Ddiag from package; now there is an additional package
  3ddiag, which is required by package mesa (much better for our
  buildsystem)
* Mon Jan 08 2001 - sndirsch@suse.de
- you don't have to execute switch2mesasoft any more with complete path
* Sun Jan 07 2001 - kukuk@suse.de
- remove bogus clean section
* Sat Jan 06 2001 - sndirsch@suse.de
- updated 3Ddiag tool (XFree86 4 driver is now also verified);
  important for Nvidia user
* Tue Dec 19 2000 - sndirsch@suse.de
- built 3dinfo against shared libhd now
* Thu Dec 14 2000 - schwab@suse.de
- Use %%suse_update_config on all architectures and fix ltconfig.
* Tue Dec 12 2000 - sndirsch@suse.de
- remove libhd.so* in build system to be sure that 3dinfo is linked
  statically and always works
* Tue Dec 12 2000 - ro@suse.de
- added hwinfo to neededforbuild
* Tue Dec 12 2000 - sndirsch@suse.de
- replaced 'id -u' with 'echo $UID' in witch2mesasoft
* Sun Dec 10 2000 - sndirsch@suse.de
- correct 3Ddiag sources are now included. I'm sorry!
* Sat Dec 09 2000 - sndirsch@suse.de
- added root verification in switch2mesasoft
* Fri Dec 08 2000 - sndirsch@suse.de
- updated to latest 3Ddiag (script feature now implemented)
* Wed Dec 06 2000 - sndirsch@suse.de
- added 3Ddiag tool for i386 to analyze 3D configuration
* Thu Nov 30 2000 - sndirsch@suse.de
- moved .a/.la files to mesadev
- created subpackage mesademos
* Fri Nov 24 2000 - sndirsch@suse.de
- removed Mesa Demo source files (*.[ch])
- moved binaries again to main mesa package
- added "-test" option to "switch2mesasoft" skript
* Fri Nov 24 2000 - ro@suse.de
- moved examples (/usr/lib/mesa/bin) to mesadev
* Tue Nov 21 2000 - sndirsch@suse.de
- added libGL.a/libMesaGL.a static libraries to subpackage mesadev
* Fri Nov 10 2000 - sndirsch@suse.de
- fixed widget stuff (some packages need it)
* Wed Nov 08 2000 - sndirsch@suse.de
- updated to release 3.4
- removed widget stuff (doesn't compile any longer)
- added readlink function to switch2mesasoft
* Tue Oct 31 2000 - sndirsch@suse.de
- moved demo binaries from /usr/share/mesa --> /usr/lib/mesa/bin
  and removed scripts from libtool and .libs directories as Adrian
  in Bugzilla Bug #3705 suggested
* Sun Oct 08 2000 - sndirsch@suse.de
- glx package now no longer conflicts with other libGL
  packages, added switch2mesasoft script for this
* Wed Sep 27 2000 - sndirsch@suse.de
- added glext.h/glxext.h to subpackage mesadev
* Fri Sep 08 2000 - sndirsch@suse.de
- added %%ifarch s390 construct for libGL.so.1.* library name
* Wed Sep 06 2000 - fober@suse.de
- s390: the use of libtool's --version-info option is wrong in
  configure.in/configure.
- rpm-%%macros are expanded in the changes-part of the spec-file as
  well.  to avoid unwnated side-effects, use %% instead of a single
  percent sign.
* Fri Sep 01 2000 - sndirsch@suse.de
- .la and .so files are now located in mesadev. .so files are no
  longer links so in the future linking is always done with software
  mesa drivers and not with the 3D hardware accelerated drivers. .so
  links will be deleted from the 3D drivers.
* Wed Jul 19 2000 - sndirsch@suse.de
- removed pthread library for libGL.so to make libGL.so compatible
  with the other 3D hardware accelerated libGL.so libraries
  Otherwise you get:
  BUG IN DYNAMIC LINKER ld.so: dl-version.c: 210: _dl_check_map_versions:
  Assertion `needed != ((void *)0)' failed!
  when excuting binaries with 3D hardware accelerated libGL.so
  compiled with mesasoft libGL.so
* Wed May 31 2000 - sndirsch@suse.de
- added package 'xfiregl1' as Conflict with package 'mesasoft'
* Fri May 19 2000 - sndirsch@suse.de
- added mesadev package for header files
* Thu May 18 2000 - sndirsch@suse.de
- changed release numers in mesa.conf and config.c to avoid
  stupid warnings
* Tue May 09 2000 - sndirsch@suse.de
- updated to Mesa 3.2
- added Buildroot
* Fri Apr 14 2000 - sndirsch@suse.de
- removed libMesaGL.a symbolic link as there is no libGL.a
  included
* Wed Apr 05 2000 - bk@suse.de
- added automake and %%{?suse_update_config} config update for s390
* Thu Feb 24 2000 - sndirsch@suse.de
- config file 'mesa.conf' now located in /etc
* Fri Feb 18 2000 - sndirsch@suse.de
- mesa + mesasoft is now compiled with one specfile
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Tue Feb 08 2000 - sndirsch@suse.de
- added missing images directory for Mesa demos
- changed group field from unsorted to Libraries
* Mon Jan 03 2000 - sndirsch@suse.de
- provides now libMesaGLU.so.3
* Mon Dec 27 1999 - sndirsch@suse.de
- Compatibility link must be libMesaGLU.so.3 and not libMesaGLU.so.1
- .libs/ directories must be included in demo directories!
- Mesa Widget Library included again
* Fri Dec 24 1999 - sndirsch@suse.de
- updated to Mesa 3.1 (big step), many changes were required in
  building, I hope I didn't break anything for other platforms
  than i386
- removed Mesa Widget Library (couldn't be compiled); is this still
  supported? I doubt ...
* Mon Nov 29 1999 - kukuk@suse.de
- Add patches for SPARC
* Tue Sep 21 1999 - ro@suse.de
- added requires libgl (provided by all driver packages)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - uli@suse.de
- fixed for PPC
* Mon Jul 05 1999 - sndirsch@suse.de
- Mesa i386 is now compiled with Assembler routines
* Sat Jun 12 1999 - sndirsch@suse.de
- libMesaGL is not any longer included by mesa, this library is now
  provided by the various hardware implementations and the old software
  implementation
* Wed Mar 17 1999 - sndirsch@suse.de
- added "-mieee" to CFLAGS on AXP
* Wed Mar 17 1999 - sndirsch@suse.de
- moved building and installing from Makefile.Linux to spec file; no
  Makefile.Linux required any longer
* Mon Jan 04 1999 - sndirsch@suse.de
  Mesa Widget Library (libMesaGLw.a) now included
* Tue Nov 10 1998 - sndirsch@suse.de
  updated to current version 3.0
* Fri Feb 13 1998 - hf@suse.de
  new Version 2.6
* Wed Jun 11 1997 - hf@suse.de
  Dynamic linked demos.
* Mon Jun 09 1997 - hf@suse.de
  New package mesa.tgz.  Mesa is a 3-D graphics library with an API
  which is very similar to that of OpenGL*.
